Kernel 2.5.x

  • Is there anyway to make the cvs driver to compile with kernel 2.5.62?

    I get some errors like this:
    gcc -M -I/lib/modules/2.5.62/build/include au_vortex.c > au_vortex.dep
    In file included from /lib/modules/2.5.62/build/include/linux/timer.h:5,
                     from /lib/modules/2.5.62/build/include/linux/sched.h:100,
                     from /lib/modules/2.5.62/build/include/linux/module.h:10,
                     from au_vortex.h:54,
                     from au_vortex.c:81:
    /lib/modules/2.5.62/build/include/linux/list.h:323: warning: #warning "don't include kernel headers in userspace"

    • Jeff Muizelaar
      Jeff Muizelaar

      The driver will not compile without some build changes. See


    • I've looked at it a little but my skills in this area is really lacking :(.
      Maybe some nice person out there could do the changes for me?

      Many thanks in advance...

    • Derek Foreman
      Derek Foreman

      I've done the changes, and am listening to music under 2.5.63 right now.
      I'll clean them up and probably check them into cvs tomorrow